Subject: Perl5.004 and Cygwin32 - Dynaloader doesn't work
From: [email-masked] (Mansuriatus Shahrir Amir)

19 Feb 1998 02:06:03 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]

I managed to compile perl5.004_59 successfully by looking at Readme.cygwin32
and also hints at Sergey's homepage but whenever I tried to use Dynaloading
it fails.

I have this small example which has this one line:
	use IO::Socket;

and this what I get:

Can't load '/usr/local/lib/perl5/cygwin32/5.00459/auto/IO/IO.dll' for
module IO: 126 at
/usr/local/lib/perl5/cygwin32/5.00459/DynaLoader.pm line 155.

at /usr/local/lib/perl5/cygwin32/5.00459/IO/Handle.pm line 246
BEGIN failed--compilation aborted at
/usr/local/lib/perl5/cygwin32/5.00459/IO/Socket.pm
line 112.
BEGIN failed--compilation aborted at trial.pl line 1. 

I tried to install Sergey's precompiled perl5.004_01 and the same results
were got:

Can't load '/usr/local/lib/perl5/cygwin32/5.00401/auto/IO/IO.dll' for
module IO: 126 at
/usr/local/lib/perl5/cygwin32/5.00401/DynaLoader.pm line 155.

at /usr/local/lib/perl5/cygwin32/5.00401/IO/Handle.pm line 246
BEGIN failed--compilation aborted at
/usr/local/lib/perl5/cygwin32/5.00401/IO/Socket.pm
line 112.
BEGIN failed--compilation aborted at trial.pl line 1.

Any idea? perl5 compiled with MSVC5.0 works fine.

Thank you 
----------------------------------
Mansuriatus Shahrir Amir
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".